несовместимость версий пакетов после обновления

Ответить
dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

несовместимость версий пакетов после обновления

Сообщение dvshapkin » 16 авг 2015, 06:53

Добрый день!

Установил на свой ноутбук DEXP дистрибутив ROSA Desktop Fresh R5 Gnome (x86_64).
После установки отключил в менеджере пакетов все 32-битные источники.
После перезагрузки нашлось много обновлений. Стал устанавливать...
В процессе установки выдало ошибку о пакете systemd-units
что то вроде "невозможно завершить транзакцию из-за несовместимости версий"
Решил удалить старую версию вручную: rpm -e systemd-units-108 (или 208 не помню точно)
После этого повторное обновление прошло успешно.
Собственно проблема:
Теперь при входе в "Параметры сетевых соединений" выдает ошибку "Системные сетевые службы не совместимы с этой версией"
snapshot.png
Как с этим быть? Подскажите что предпринять.

Заранее благодарю.
Последний раз редактировалось dvshapkin 19 авг 2015, 09:34, всего редактировалось 2 раза.

Аватара пользователя
VictorR2007
Сообщения: 6223
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Re: несовместимость версий пакетов после обновления

Сообщение VictorR2007 » 16 авг 2015, 11:16

Так установи systemd-units.
Да и 32-битные источники не стоило отключать.

dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

Re: несовместимость версий пакетов после обновления

Сообщение dvshapkin » 16 авг 2015, 11:37

VictorR2007 писал(а):Так установи systemd-units.
этот пакет у меня установлен (новая версия)
я его вижу в rpmdrake и он помечен как "неудаляемый"
а как вернуться на старую версию не знаю
или как обновить пакет "параметры сетевых настроек" чтобы не было конфликта версий?

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 16 авг 2015, 17:54

Сейчас для эксперимента, попытался поставить себе РОСА с Гномом в ВиртуалБокс.
Скачал ROSA.FRESH.GNOME.R5.i586.iso Установил 5-ку.
Никаких репозиториев не менял и почти ничего не делал. Сразу зашёл в консоль и нажал обновиться.
В процессе обновления вылетел из системы. Пришлось снова вводить логин. Как зашёл всистему, то сразу открыл консоль и снова нажал обновиться. Дальше обновление прошло без ошибок. В конце система попросила перезагрузиться.
Нажал перезагрузиться… В иксы я больше не вернулся. Система в текстовом варианте попросила ввести логин и пароль. Я ввёл. Затем нажал «startx». Система написала что-то про ошибку в икса и в них меня не пустила. После этого я отключил виртуальную машину.

Делал скриншоты гостевой системы через хостовою систему, но они почему-то не сохранились.
Если будут нужны какие-то логи, то могу попробовать выудить через консольный режим. Гостевую Росу с Гномом пока не удаляю.

dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

Re: несовместимость версий пакетов после обновления

Сообщение dvshapkin » 17 авг 2015, 07:04

Алзим писал(а):Нажал перезагрузиться… В иксы я больше не вернулся.
У меня после первой установки дистрибутива Gnome и обновления было точно так же...
Поэтому я переустановил систему заново и отключил 32-битные источники. И только после этого стал обновляться.
Пока все работает (кроме описанной выше ошибки).
Правда, после обновления 32-битные источники пришлось снова включить (не помню зачем, но потребовались).

dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

Re: несовместимость версий пакетов после обновления

Сообщение dvshapkin » 19 авг 2015, 09:38

Думал, что после сегодняшнего обновления все заработает...
В обновлении как раз был пакет systemd-units
Однако, не помогло...
Товарищи разработчики, если вы это читаете, подскажите что сделать?

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 19 авг 2015, 13:03

dvshapkin писал(а):Думал, что после сегодняшнего обновления все заработает...
В обновлении как раз был пакет systemd-units
Однако, не помогло...
Товарищи разработчики, если вы это читаете, подскажите что сделать?
Я хоть и не разработчик, но думаю, что только ждать.
Лазая по одному сайту, я обнаружил образы РОСА6 ГНОМ. Образы оказались нерабочими. Но, по дням их создания, можно определить, что работа над ними идёт.
Я думаю, что скоро появятся релизы образов РОСА6 для рабочей среды ГНОМ.

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 20 авг 2015, 17:08

Алзим писал(а):Сейчас для эксперимента, попытался поставить себе РОСА с Гномом в ВиртуалБокс.
Скачал ROSA.FRESH.GNOME.R5.i586.iso Установил 5-ку.
Никаких репозиториев не менял и почти ничего не делал. Сразу зашёл в консоль и нажал обновиться.
В процессе обновления вылетел из системы. Пришлось снова вводить логин. Как зашёл всистему, то сразу открыл консоль и снова нажал обновиться. Дальше обновление прошло без ошибок. В конце система попросила перезагрузиться.
Нажал перезагрузиться… В иксы я больше не вернулся. Система в текстовом варианте попросила ввести логин и пароль. Я ввёл. Затем нажал «startx». Система написала что-то про ошибку в икса и в них меня не пустила. После этого я отключил виртуальную машину.

Делал скриншоты гостевой системы через хостовою систему, но они почему-то не сохранились.
Если будут нужны какие-то логи, то могу попробовать выудить через консольный режим. Гостевую Росу с Гномом пока не удаляю.
Сейчас зашёл в систему без иксов. Обновился. Перезагрузился. И иксы восстановились. Теперь всё работает нормально.

dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

Re: несовместимость версий пакетов после обновления

Сообщение dvshapkin » 21 авг 2015, 12:19

to Алзим:
а как дела с wifi после обновления? нормально работает?
у меня стало часто подключение слетать. до обновления работало стабильно, не пропадало.
а теперь минут 10 - 20 работает и пропадает (причем, сам значок wifi показывает нормальный уровень сигнала, но интернета нет)
у меня тоже самое раньше на Ubuntu было. поэтому и перешел на РОСУ
а теперь и здесь сломалось...

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 21 авг 2015, 12:23

dvshapkin писал(а):to Алзим:
а как дела с wifi после обновления? нормально работает?
У меня нет WI-FI.

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

Re: несовместимость версий пакетов после обновления

Сообщение keleg » 21 авг 2015, 12:36

dvshapkin писал(а):to Алзим:
а как дела с wifi после обновления? нормально работает?
у меня стало часто подключение слетать. до обновления работало стабильно, не пропадало.
а теперь минут 10 - 20 работает и пропадает (причем, сам значок wifi показывает нормальный уровень сигнала, но интернета нет)
у меня тоже самое раньше на Ubuntu было. поэтому и перешел на РОСУ
а теперь и здесь сломалось...
Давайте пробу оборудования. Возможно, новое firmware или новый networkmanager виноват.

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 21 авг 2015, 14:03

dvshapkin писал(а): Собственно проблема:
Теперь при входе в "Параметры сетевых соединений" выдает ошибку "Системные сетевые службы не совместимы с этой версией"
Подключил тестовый репозиторий. Обновился.
Сеть отключилась.
Сеть я включил, но посмотреть параметры и т.п. не смог. Выпадает та же самая ошибка, что и у вас.
До этого в настройки сети не заглядывал и была ли там ошибка или нет, я не знаю.

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

Re: несовместимость версий пакетов после обновления

Сообщение keleg » 21 авг 2015, 14:16

при тестовых обновлениях всегда можно откатиться назад - отключить галочку тестинга и запустить urpm-reposync. Это есть в инструкции для тестеров (где подробности) которая публикуется раз в неделю.

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

Re: несовместимость версий пакетов после обновления

Сообщение keleg » 21 авг 2015, 14:28

При падениях иксов при обновлении Гнома вводите XFdrake, заново настраивайте карту и все должно заработать.

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 21 авг 2015, 14:44

keleg писал(а):при тестовых обновлениях всегда можно откатиться назад - отключить галочку тестинга и запустить urpm-reposync. Это есть в инструкции для тестеров (где подробности) которая публикуется раз в неделю.
За совет спасибо, но откатывать сейчас я не вижу смысла.
Кроме сообщения об ошибке, сама сеть работает. Буду ждать когда исправиться.
Данная система у меня находиться на ВиртуалБоксе и даже если она совсем упадёт, то мне не особо жалко будет.
Я просто заметил баг и сообщил его Вам.

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

Re: несовместимость версий пакетов после обновления

Сообщение keleg » 21 авг 2015, 16:51

ок, понятно, спасибо!

dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

несовместимость версий пакетов после обновления

Сообщение dvshapkin » 21 авг 2015, 18:54

keleg писал(а):Давайте пробу оборудования. Возможно, новое firmware или новый networkmanager виноват.
вот пожалуйста моя "проба" оборудования: https://linux-hardware.org/?probe=829f644d3a

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

несовместимость версий пакетов после обновления

Сообщение keleg » 21 авг 2015, 19:33

dvshapkin писал(а):
keleg писал(а):Давайте пробу оборудования. Возможно, новое firmware или новый networkmanager виноват.
вот пожалуйста моя "проба" оборудования: https://linux-hardware.org/?probe=829f644d3a
Тыкаем в URL, смотрим - карта с восклицательным знаком, тыкаем в рекомендации и видим что нужно установить dkms-rtlwifi_new

dvshapkin
Сообщения: 9
Зарегистрирован: 16 авг 2015, 06:33
Operating system: Desktop Fresh R5 GNOME

Re: несовместимость версий пакетов после обновления

Сообщение dvshapkin » 22 авг 2015, 05:55

keleg писал(а):Тыкаем в URL, смотрим - карта с восклицательным знаком, тыкаем в рекомендации и видим что нужно установить dkms-rtlwifi_new
Это что, нужно делать после каждого очередного обновления?
Я уже выполнял эти рекомендации из пробы сразу после установки системы.
Без этого у меня вообще wifi-адаптер не обнаруживался.
Вот ссылка на мой первый пост по этому поводу: http://forum.rosalab.ru/viewtopic.php?f=52&t=5968

Аватара пользователя
Joker
Сообщения: 247
Зарегистрирован: 16 май 2013, 21:05
Operating system: Rosa Fresh

Re: несовместимость версий пакетов после обновления

Сообщение Joker » 28 авг 2015, 18:21

Да! Есть такой глюк после обновлений! И из системы вылетал тоже при обновлениях! Изображение И у меня не виртуалка! И архитектура i586 . Сама сеть конечно работает сейчас(при этом глюке ) Но ведь ничего настроить в ней невозможно сейчас и ежели вдруг отвалится то мягко выражаясь это будет очень неприятно! :) А когда поправят..? После сегодняшних обновлений и с новым пакетом systemd-units-219-1.20150505.16-rosa2014.1.i586 Вт 01 сен 2015 21:02:18 проблема так же осталась!

belonesox
Сообщения: 25
Зарегистрирован: 19 июл 2012, 01:10

Re: несовместимость версий пакетов после обновления

Сообщение belonesox » 07 сен 2015, 17:59

dvshapkin писал(а):Добрый день!
Теперь при входе в "Параметры сетевых соединений" выдает ошибку "Системные сетевые службы не совместимы с этой версией"
snapshot.png
Я посмотрел. Это ошибка несовместимости gnome-control-center и нового network-manager. В коде позорный хардкод на спектр версий нетворкменеджера.

Поправил.

Попробуйте пока поставить напрямую из моих контейнеров,

Для 64-битной системы

Код: Выделить всё

urpmi http://abf-downloads.rosalinux.ru/belonesox_personal/container/2561391/x86_64/main/release/gnome-control-center-3.12.1-13-rosa2014.1.x86_64.rpm
Для 32-битной

Код: Выделить всё

urpmi http://abf-downloads.rosalinux.ru/belonesox_personal/container/2561390/i586/main/release/gnome-control-center-3.12.1-13-rosa2014.1.i586.rpm
Разумеется, если проблем за пару дней не будет выявлено (а теоретически — не должно), все это пойдет с ближайшими обновлениями.

belonesox
Сообщения: 25
Зарегистрирован: 19 июл 2012, 01:10

Re: несовместимость версий пакетов после обновления

Сообщение belonesox » 07 сен 2015, 18:03

Алзим писал(а):
dvshapkin писал(а): Лазая по одному сайту, я обнаружил образы РОСА6 ГНОМ. Образы оказались нерабочими. Но, по дням их создания, можно определить, что работа над ними идёт.
Я думаю, что скоро появятся релизы образов РОСА6 для рабочей среды ГНОМ.
С GNOME версией R6 проблемы — 3.16 гном до сих пор сыроват — так в апстриме не решена проблема поддержки WACOM-планшетов и тачскринов.

Скорее всего придется забросить фирменные темы РОСы — нет ресурсов их допиливать под 3.16 гном.

И, что обидней, очень, очень сложно адаптировать некоторые расширения, возможно их тоже придется забросить.

Наверное, как только проблема с тачскринами будет решена, будем выпускать GNOME R6, со всем тем, что сможем к этому времени починить.

Аватара пользователя
Алзим
Сообщения: 4495
Зарегистрирован: 18 июн 2015, 11:57
Operating system: ROSA Desktop Fresh R10
Откуда: Интернет

Re: несовместимость версий пакетов после обновления

Сообщение Алзим » 07 сен 2015, 19:03

belonesox писал(а): Поправил.

Попробуйте пока поставить напрямую из моих контейнеров,

Для 64-битной системы

Код: Выделить всё

urpmi http://abf-downloads.rosalinux.ru/belonesox_personal/container/2561391/x86_64/main/release/gnome-control-center-3.12.1-13-rosa2014.1.x86_64.rpm
Для 32-битной

Код: Выделить всё

urpmi http://abf-downloads.rosalinux.ru/belonesox_personal/container/2561390/i586/main/release/gnome-control-center-3.12.1-13-rosa2014.1.i586.rpm
Разумеется, если проблем за пару дней не будет выявлено (а теоретически — не должно), все это пойдет с ближайшими обновлениями.
Скачал пакет и установил себе на Гнома х86 в виртуальной машине.
Устанавливал не из консоли, а напрямую с флеш-брелка, т.к. в той системе интернета не было (вставил брелок и нажал пару раз мышью на файл rpm).
Ошибки с несовместимостью пропали. И не только ошибки пропали, но даже смог подключить смартфон как USB-модем.
Всё нормально. Сеть работает. Спасибо.

Аватара пользователя
Joker
Сообщения: 247
Зарегистрирован: 16 май 2013, 21:05
Operating system: Rosa Fresh

Re: несовместимость версий пакетов после обновления

Сообщение Joker » 10 сен 2015, 19:58

belonesox, Спасибо-спасибо-спасибо! Сегодня с обновлениями усё это пришло и усё, что по теме глючило -починилось!

Ответить